#include "config.h"

#include <sstream>
#include <stdexcept>

#include "QueryResultsFilenames.hh"

namespace diskCache
{
  QueryResultsFilenames::
  QueryResultsFilenames( format_type Format )
    : QueryResults( Format, TYPE_FILENAMES )
  {
  }

  void QueryResultsFilenames::
  Append( const std::string& Filename )
  {
    static char caller[] = "diskCache::QueryResultsFilenames::AppendResults";
    switch ( format( ) )
    {
    case FORMAT_TCL:
      if ( m_string_result.empty( ) == false )
      {
	m_string_result += " ";
      }
      m_string_result += Filename;
      break;
    default:
      {
	std::ostringstream	msg;

	msg << caller
	    << " Unable to format result for type: " << format( )
	    << " (" << formatString( ) << ")"
	  ;
	throw std::range_error( msg.str( ) );
      }
      break;
    }
  }

  void QueryResultsFilenames::
  Finalize( )
  {
    switch( format( ) )
    {
    case FORMAT_TCL:
      tcl_make_list( m_string_result );
      break;
    default:
      // Do nothing
      break;
    }
  }
} // namespace - diskCache
