#include "config.h"

#include "diskcache.hh"
#include "diskcacheAPI.hh"

namespace diskCache
{
  //-----------------------------------------------------------------------------
  // Number of micro seconds to allow for lock acquisition
  // int RWLOCK_TIMEOUT = 10000;
  //-----------------------------------------------------------------------------
  int RWLOCK_TIMEOUT = 0;

  //-----------------------------------------------------------------------------
  /// This variable specifies the number of milliseconds to delay between
  /// successive scans of the list of mount points.
  ///
  /// The default value is 500 ( 0.5 sec. ).
  //-----------------------------------------------------------------------------
  INT_4U ScanInterval = 500;

  LogMessage::
  LogMessage( )
    : m_message_type( LM_DEBUG )
  {
  }
 
  static MutexLock::lock_type   p_scanned_files_baton = MutexLock::Initialize( );
  static total_file_count_type  p_scanned_files = 0;

  total_file_count_type
  ScannedFiles( )
  {
    MutexLock      lock( p_scanned_files_baton );

    return p_scanned_files;
  }

  void
  ScannedFiles( total_file_count_type Value )
  {
    MutexLock      lock( p_scanned_files_baton );

    if ( Value == SCANNED_FILES_RESET )
    {
      p_scanned_files = 0;
    }
    else
    {
      p_scanned_files += Value;
    }
  }
 }
